RouterRpcClient.ExecutionStatus (Apache Hadoop HDFS-RBF 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.federation.router, class: RouterRpcClient, class: ExecutionStatus

Package org.apache.hadoop.hdfs.server.federation.router

# Class RouterRpcClient.ExecutionStatus

java.lang.Object
org.apache.hadoop.hdfs.server.federation.router.RouterRpcClient.ExecutionStatus

Enclosing class:
  RouterRpcClient

protected static class RouterRpcClient.ExecutionStatus extends Object
The `RouterRpcClient.ExecutionStatus` class is a utility class used to track the status of execution operations performed by the `RouterRpcClient`. It encapsulates the state of an operation, including whether it has completed, if a failover to a different NameNode should be attempted, and if an observer NameNode should be used for the operation.

The status is represented by a flag that indicate the current state of the execution. The flag can be checked individually to determine how to proceed with the operation or to handle its results.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExecutionStatus()`
  `ExecutionStatus(boolean failOver, boolean shouldUseObserver)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isComplete()`
  `boolean`
  `isFailOver()`
  `boolean`
  `isShouldUseObserver()`
  `void`
  `setComplete(boolean complete)`
  `void`
  `setFailOver(boolean failOver)`
  `void`
  `setShouldUseObserver(boolean shouldUseObserver)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ExecutionStatus

    public ExecutionStatus()

  - ### ExecutionStatus

    public ExecutionStatus(boolean failOver, boolean shouldUseObserver)

- ## Method Details

  - ### setFailOver

    public void setFailOver(boolean failOver)

  - ### setShouldUseObserver

    public void setShouldUseObserver(boolean shouldUseObserver)

  - ### setComplete

    public void setComplete(boolean complete)

  - ### isFailOver

    public boolean isFailOver()

  - ### isShouldUseObserver

    public boolean isShouldUseObserver()

  - ### isComplete

    public boolean isComplete()